Nimbu Developer Docs
ReferenceProducts

Update a product attachment

PUT
/products/{product_id}/attachments/{attachment_id}

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Path Parameters

product_id*string

Product identifier

attachment_id*string

Attachment identifier

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/products/string/attachments/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "path": "string",
  "fullpath": "string",
  "variant_specific_ids": [
    "string"
  ],
  "variant_specific_names": [
    "string"
  ],
  "download_url": "http://example.com",
  "file": {
    "filename": "string",
    "url": "http://example.com",
    "size": 0,
    "content_type": "string"
  }
}